<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <blockquote class="layui-elem-quote layui-quote-nm">用户名必须是手机号时才能正常发送</blockquote>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">接收人</label>
                    <div class="layui-input-block">
                        <input type="hidden" id="userIds" name="userIds">
                        <input type="text" id="userNames" name="userNames" class="layui-input" value="" placeholder="请选择接收人" lay-verify="required" readonly style="cursor:pointer;">
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">短信内容</label>
                    <div class="layui-input-block">
                        <textarea name="content" placeholder="请输入通知内容，最多80字" class="layui-textarea" rows="10" lay-verify="required" maxlength="80"></textarea>
                    </div>
                </div>
                <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">发送短信</button>
            </form>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化内容
        function initData() {
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.post(top.restAjax.path('api/sms/send', []), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('#userNames').on('click', function() {
            top.dialog.dialogData.selectedUserIds = $('#userIds').val();
            top.dialog.open({
                url: top.restAjax.path('route/department/user/select-user', []),
                title: '选择用户',
                width: '500px',
                height: '500px',
                closeBtn: 0,
                onClose: function() {
                    var selectedUsers = top.dialog.dialogData.selectedDepartmentUsers;
                    console.log(selectedUsers);
                    // 这里写处理逻辑
                    var userIds = '';
                    var userPhones = '';
                    var userNames = '';
                    if(selectedUsers && selectedUsers.length > 0) {
                        for(var i = 0, item; item = selectedUsers[i++]; ) {
                            if(userIds.length > 0) {
                                userIds += '_';
                                userNames += ',';
                            }
                            userIds += item.userId;
                            userNames += item.userName + '【' + item.username + '】';
                        }
                    }
                    $('#userIds').val(userIds);
                    $('#userNames').val(userNames);
                }
            })
        })

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>